From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/discord-bin/
Date: Thu, 6 Aug 2020 20:55:56 +0000 (UTC) [thread overview]
Message-ID: <1596747351.0156a2ed617b036847a2995dc3f7658fa787c114.sam@gentoo> (raw)
commit: 0156a2ed617b036847a2995dc3f7658fa787c114
Author: Simon van der Veldt <simon.vanderveldt <AT> gmail <DOT> com>
AuthorDate: Thu Aug 6 19:20:15 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 6 20:55:51 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0156a2ed
net-im/discord-bin: Bump to 0.0.11
Signed-off-by: Simon van der Veldt <simon.vanderveldt+gentoo <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-im/discord-bin/Manifest | 1 +
net-im/discord-bin/discord-bin-0.0.11.ebuild | 94 ++++++++++++++++++++++++++++
2 files changed, 95 insertions(+)
diff --git a/net-im/discord-bin/Manifest b/net-im/discord-bin/Manifest
index 3b928a6bdd2..d582a8b9c94 100644
--- a/net-im/discord-bin/Manifest
+++ b/net-im/discord-bin/Manifest
@@ -1 +1,2 @@
DIST discord-0.0.10.deb 68310032 BLAKE2B d7b192e78ab0f7ec1ca9c2d2358d5a4a32e543507b3a7553de618af322feaf180228569489d8e14e8316234067dcbd4aaff0cb32adb60b43bbd51a321ab0b7ec SHA512 f9b901b0a8ee2b0fb70e6671231ea8fcc41b60d7499e03d29026896a96f5c2d2e3ec992b5d0db7f9ee44fefccc2c5457a76c64a643a7d51a4c9d4f994b9c5d8d
+DIST discord-0.0.11.deb 68328574 BLAKE2B 5a4bba82168056fffee2a2e495be7f5c8d8a02b890fd45645eb800a17c976db4a35719082ae469615f13ce45cadeb73ab7937ad8aac4850264275a479a8eb2c4 SHA512 26f408c3332e9083c448b3b8914fed80918a7d3ab3dd9c2a02b2cea7225ac53dea743fa899bdeeb2f210cda90493b7f35b8075a967e70d1fd6dffb1de1e8b102
diff --git a/net-im/discord-bin/discord-bin-0.0.11.ebuild b/net-im/discord-bin/discord-bin-0.0.11.ebuild
new file mode 100644
index 00000000000..b58a84dc91f
--- /dev/null
+++ b/net-im/discord-bin/discord-bin-0.0.11.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=${PN/-bin/}
+MY_BIN="D${MY_PN/d/}"
+
+inherit desktop pax-utils unpacker xdg-utils
+
+DESCRIPTION="All-in-one voice and text chat for gamers"
+HOMEPAGE="https://discordapp.com"
+SRC_URI="https://dl.discordapp.net/apps/linux/${PV}/${MY_PN}-${PV}.deb"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror bindist"
+
+RDEPEND="
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig:1.0
+ media-libs/freetype:2
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcxx
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+"
+
+S=${WORKDIR}
+
+QA_PREBUILT="
+ opt/discord/${MY_BIN}
+ opt/discord/chrome-sandbox
+ opt/discord/libEGL.so
+ opt/discord/libGLESv2.so
+ opt/discord/swiftshader/libEGL.so
+ opt/discord/swiftshader/libGLESv2.so
+ opt/discord/swiftshader/libvk_swiftshader.so
+ opt/discord/libVkICD_mock_icd.so
+ opt/discord/libffmpeg.so
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s:/usr/share/discord/Discord:/opt/${MY_PN}/${MY_BIN}:g" \
+ usr/share/${MY_PN}/${MY_PN}.desktop || die
+}
+
+src_install() {
+ doicon usr/share/${MY_PN}/${MY_PN}.png
+ domenu usr/share/${MY_PN}/${MY_PN}.desktop
+
+ insinto /opt/${MY_PN}
+ doins -r usr/share/${MY_PN}/.
+ fperms +x /opt/${MY_PN}/${MY_BIN}
+ dosym ../../opt/${MY_PN}/${MY_BIN} usr/bin/${MY_PN}
+
+ pax-mark -m "${ED}"/opt/${MY_PN}/${MY_PN}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
next reply other threads:[~2020-08-06 20:56 UTC|newest]
Thread overview: 70+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-06 20:55 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-01-14 5:31 [gentoo-commits] repo/gentoo:master commit in: net-im/discord-bin/ Nick Sarnie
2023-01-14 5:29 Nick Sarnie
2023-01-14 1:20 Nick Sarnie
2023-01-13 18:49 Nick Sarnie
2023-01-13 18:30 Nick Sarnie
2023-01-13 0:40 Nick Sarnie
2023-01-13 0:16 Nick Sarnie
2023-01-13 0:12 Nick Sarnie
2022-12-10 3:29 Nick Sarnie
2022-11-07 8:49 Joonas Niilola
2022-11-07 8:49 Joonas Niilola
2022-10-21 23:55 Stefan Strogin
2022-09-15 18:39 Sam James
2022-08-10 20:36 Sam James
2022-07-24 6:08 Joonas Niilola
2022-06-08 18:16 Stefan Strogin
2022-06-08 18:14 Stefan Strogin
2022-05-26 12:58 Joonas Niilola
2022-05-26 12:58 Joonas Niilola
2022-05-20 2:40 Sam James
2022-05-20 1:18 Sam James
2022-05-19 2:03 Sam James
2022-05-19 2:03 Sam James
2022-02-17 20:25 Ionen Wolkens
2022-02-17 20:25 Ionen Wolkens
2022-02-17 20:25 Ionen Wolkens
2021-12-21 2:19 Sam James
2021-12-01 18:34 Sam James
2021-12-01 14:43 Sam James
2021-12-01 14:42 Sam James
2021-11-20 23:05 Ionen Wolkens
2021-10-19 0:55 Ionen Wolkens
2021-10-19 0:55 Ionen Wolkens
2021-10-19 0:55 Ionen Wolkens
2021-09-22 20:22 Stefan Strogin
2021-05-25 14:13 Stefan Strogin
2021-03-24 16:28 Stefan Strogin
2020-12-05 21:10 Stefan Strogin
2020-09-12 3:01 Sam James
2020-09-12 1:05 Sam James
2020-09-12 1:05 Sam James
2020-09-12 1:05 Sam James
2020-08-06 20:55 Sam James
2020-08-06 20:55 Sam James
2020-02-29 9:18 Johannes Huber
2020-02-29 9:18 Johannes Huber
2020-01-12 20:46 Johannes Huber
2020-01-12 13:20 Johannes Huber
2020-01-12 13:20 Johannes Huber
2020-01-12 13:20 Johannes Huber
2020-01-12 13:20 Johannes Huber
2019-12-04 16:06 Aaron Bauman
2019-03-15 22:22 Thomas Deutschmann
2019-03-12 21:32 Thomas Deutschmann
2019-03-12 21:32 Thomas Deutschmann
2019-01-19 5:43 Thomas Deutschmann
2019-01-19 5:43 Thomas Deutschmann
2018-05-01 20:37 Johannes Huber
2018-05-01 20:37 Johannes Huber
2018-01-09 17:36 Johannes Huber
2018-01-09 17:34 Johannes Huber
2017-12-22 8:59 Johannes Huber
2017-12-12 6:15 Johannes Huber
2017-09-13 17:52 Johannes Huber
2017-09-13 17:52 Johannes Huber
2017-09-09 8:00 Johannes Huber
2017-09-09 8:00 Johannes Huber
2017-04-14 12:03 Johannes Huber
2017-01-29 20:21 Johannes Huber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1596747351.0156a2ed617b036847a2995dc3f7658fa787c114.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox